GET /v1/public/runs/{id}
Get a public run by ID

Path Parameters

id string required path
Run ID

Responses

200 OK
application/json
code integer
data object
executionState object
Current state of each node
finishedAt string
nodes object
Step-by-step execution data
runId string
startedAt string
status string
"running", "success", "failure"
workflowId string
message string
requestId string
404 Not Found
curl -X GET 'https://api.example.com/v1/public/runs/string' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/public/runs/string', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/public/runs/string', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/public/runs/string", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 0,  "data": {    "executionState": "<object>",    "finishedAt": "<string>",    "nodes": "<object>",    "runId": "<string>",    "startedAt": "<string>",    "status": "<string>",    "workflowId": "<string>"  },  "message": "success",  "requestId": "abc-123"}
Ask a question... ⌘I